ArraySerializerFactory (Axis API)
Keywords: org.apache.axis.encoding.ser.ArraySerializerFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class ArraySerializerFactory

    java.lang.Object
      org.apache.axis.encoding.ser.BaseFactory
          org.apache.axis.encoding.ser.BaseSerializerFactory
              org.apache.axis.encoding.ser.ArraySerializerFactory

All Implemented Interfaces:
  java.io.Serializable, SerializerFactory, SerializerFactory

public class ArraySerializerFactory
extends BaseSerializerFactory

SerializerFactory for arrays

Author:
  Rich Scheuerle
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`getSerializer, javaType, log, ser, serClass, serClassConstructor, xmlType`

Constructor Summary
`ArraySerializerFactory()`
`ArraySerializerFactory(java.lang.Class javaType, QName xmlType)`
`ArraySerializerFactory(QName componentType)`
`ArraySerializerFactory(QName componentType, QName componentQName)`

Method Summary
`QName` | `getComponentQName()`
`QName` | `getComponentType()`
`protected Serializer` | `getGeneralPurpose(java.lang.String mechanismType)` Obtains a serializer by invoking (javaType, xmlType) on the serClass.
`void` | `setComponentQName(QName componentQName)`
`void` | `setComponentType(QName componentType)`

Methods inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`createFactory, getGetSerializer, getJavaType, getSerClassConstructor, getSerializerAs, getSerializerAsInternal, getSpecialized, getSupportedMechanismTypes, getXMLType`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArraySerializerFactory

    public ArraySerializerFactory()

### ArraySerializerFactory

    public ArraySerializerFactory(java.lang.Class javaType,
                                  QName xmlType)

### ArraySerializerFactory

    public ArraySerializerFactory(QName componentType)

### ArraySerializerFactory

    public ArraySerializerFactory(QName componentType,
                                  QName componentQName)

Method Detail

### setComponentQName

    public void setComponentQName(QName componentQName)

  Parameters:
    `componentQName` - The componentQName to set.

### setComponentType

    public void setComponentType(QName componentType)

  Parameters:
    `componentType` - The componentType to set.

### getComponentQName

    public QName getComponentQName()

  Returns:
    Returns the componentQName.

### getComponentType

    public QName getComponentType()

  Returns:
    Returns the componentType.

### getGeneralPurpose

    protected Serializer getGeneralPurpose(java.lang.String mechanismType)

  Obtains a serializer by invoking (javaType, xmlType) on the serClass.

  Overrides:
    `getGeneralPurpose` in class `BaseSerializerFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.